summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Jay2020-11-07 03:17:57 +0100
committer Willy Sudiarto Raharjo2020-11-07 03:17:57 +0100
commit7a488761668693ab154a8bc76bf5bcc00e128712 (patch)
tree977ded80b010311fa4b1bd126f7d4220a9963219 /games
parenta5fe97f02523952a503f3ebb640bde3ce019b2c4 (diff)
downloadslackbuilds-7a488761668693ab154a8bc76bf5bcc00e128712.tar.gz
games/zseal: Added (FICS Timeseal client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/zseal/README18
-rw-r--r--games/zseal/slack-desc19
-rw-r--r--games/zseal/zseal.SlackBuild110
-rw-r--r--games/zseal/zseal.info10
4 files changed, 157 insertions, 0 deletions
diff --git a/games/zseal/README b/games/zseal/README
new file mode 100644
index 0000000000..001a18bc38
--- /dev/null
+++ b/games/zseal/README
@@ -0,0 +1,18 @@
+zseal
+open source client for FICS Timeseal v2 for Linux/Unix systems
+
+Timeseal is a protocol for network lag reporting and compensation used by the FICS chess
+server (freechess.org). Version 2 of the protocol provides better delay stats as the server
+actively pings the client periodically. FICS's FTP repository was taken down a few years
+ago and was never put back on.
+Since then, there has been nowhere to download a trustable timeseal client for Linux systems.
+
+
+To use with xboard, append "-icshelper zseal" to your normal xboard command line.
+
+ xboard -ics -icshost freechess.org -icsport 5000 -icshelper zseal
+
+
+Assuming Slackware's gnuchess package is already installed on your system,
+the install script will integrate and enable zseal in eboard automatically.
+(Otherwise, follow the instructions for eboard configuration in /usr/doc/zseal-1.0/README.)
diff --git a/games/zseal/slack-desc b/games/zseal/slack-desc
new file mode 100644
index 0000000000..ff3737a177
--- /dev/null
+++ b/games/zseal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zseal: zseal (FICS Timeseal client)
+zseal:
+zseal: An open source client for FICS Timeseal v2 for Linux/Unix systems.
+zseal:
+zseal:
+zseal: (C) 2016 Felipe Bergo (Pulga @ FICS), fbergo at gmail dot com
+zseal: https://github.com/fbergo/zseal
+zseal:
+zseal:
+zseal:
+zseal:
diff --git a/games/zseal/zseal.SlackBuild b/games/zseal/zseal.SlackBuild
new file mode 100644
index 0000000000..3bb875b3f3
--- /dev/null
+++ b/games/zseal/zseal.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+#
+# Slackware build script for zseal (an open-source implementation of Timeseal v2 for FICS.)
+#
+# Copyright 2020 by Jay, Seattle, WA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions, and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zseal
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i686) ARCH=i686 ;;
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Caveat emptor
+case "$ARCH" in
+ i?86) ;;
+ x86_64) ;;
+ *) echo -e "\nBuild for $ARCH is untested!!"
+ echo -e "Press Ctrl-C within ten seconds to abort,"
+ echo -e "or press ENTER to continue at your own risk.\n"
+ read -t 10 PLACEHOLDER ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Minor README fixes:
+sed -i "19s/.*/are not liable for anything the software does to you or your stuff; derived works must/" README
+sed -i '24d' README
+sed -i "24i\
+run './configure' (to generate config.h) \
+\nrun 'make' to compile. \
+\n \
+\nThe zseal binary will be generated in the current directory" README
+
+sed -i "s/-O2/$SLKCFLAGS/" Makefile
+
+./configure
+make
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/eboard $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp zseal $PKG/usr/bin
+ln -sf /usr/bin/zseal $PKG/usr/share/eboard/timeseal.$( uname -s )
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -a README CHANGELOG LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/zseal.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/zseal.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zseal/zseal.info b/games/zseal/zseal.info
new file mode 100644
index 0000000000..68a884b00e
--- /dev/null
+++ b/games/zseal/zseal.info
@@ -0,0 +1,10 @@
+PRGNAM="zseal"
+VERSION="1.0"
+HOMEPAGE="https://github.com/fbergo/zseal"
+DOWNLOAD="https://github.com/fbergo/zseal/archive/v1.0/zseal-1.0.tar.gz"
+MD5SUM="835dec238d0ac35d51fa17e25f3653cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jay"
+EMAIL="ld.jay@protonmail.com"